<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.quality.mapper.QualityDetailMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.quality.entity.QualityDetail">
                    <id column="LCID" property="lcid" />
                    <result column="BH" property="bh" />
                    <result column="LSDJ" property="lsdj" />
                    <result column="JG" property="jg" />
                    <result column="CCL" property="ccl" />
                    <result column="ZJML" property="zjml" />
        </resultMap>

    <select id="getPerData" resultType="java.util.Map">
        SELECT *   FROM  quality_detail
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  quality_detail
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>